org.apache.poi.openxml4j.opc.internal

## Class ZipContentTypeManager

- java.lang.Object
- - org.apache.poi.openxml4j.opc.internal.ContentTypeManager
  - - org.apache.poi.openxml4j.opc.internal.ZipContentTypeManager

-     public class ZipContentTypeManager
      extends ContentTypeManager

  Zip implementation of the ContentTypeManager.
  Version:
    1.0
  Author:
    Julien Chable
  See Also:
    `ContentTypeManager`

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.openxml4j.opc.internal.ContentTypeManager

      `container, CONTENT_TYPES_PART_NAME, TYPES_NAMESPACE_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipContentTypeManager(java.io.InputStream in, OPCPackage pkg)` Delegate constructor to the super constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `saveImpl(org.w3c.dom.Document content, java.io.OutputStream out)` Specific implementation of the save method.

    - ### Methods inherited from class org.apache.poi.openxml4j.opc.internal.ContentTypeManager

      `addContentType, clearAll, clearOverrideContentTypes, getContentType, isContentTypeRegister, removeContentType, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipContentTypeManager

          public ZipContentTypeManager(java.io.InputStream in,
                                       OPCPackage pkg)
                                throws InvalidFormatException

      Delegate constructor to the super constructor.
      Parameters:
        `in` - The input stream to parse to fill internal content type collections.
      Throws:
        `InvalidFormatException` - If the content types part content is not valid.

  - ### Method Detail

    - #### saveImpl

          public boolean saveImpl(org.w3c.dom.Document content,
                                  java.io.OutputStream out)

      Description copied from class: `ContentTypeManager`
      Specific implementation of the save method. Call by the save() method, call before exiting.
      Specified by:
        `saveImpl` in class `ContentTypeManager`
        `out` - The output stream use to write the content type XML.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.